## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Filter out plugins from provides
%global __provides_exclude_from ^%{_libdir}/(purple|pidgin)-3
# Avoid requiring X11 for optional Idle plugin.
%global __requires_exclude libX11.so.6

Name:           pidgin3
Version:        2.92.1
Release:        %autorelease -p
Summary:        GTK-based multiprotocol instant messaging client

License:        GPL-2.0-or-later
URL:            https://pidgin.im/
Source:         https://sourceforge.net/projects/pidgin/files/Pidgin3/%{version}/pidgin3-%{version}.tar.xz/download#/pidgin3-%{version}.tar.xz
Source1:        https://sourceforge.net/projects/pidgin/files/Pidgin3/%{version}/pidgin3-%{version}.tar.xz.asc/download#/pidgin3-%{version}.tar.xz.asc
Source2:        https://keybase.io/grim/pgp_keys.asc

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gi-docgen >= 2025.3
BuildRequires:  meson >= 1

# libpurple3 dependencies
BuildRequires:  pkgconfig(birb) >= 0.4
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.26
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.80
BuildRequires:  (pkgconfig(gplugin) >= 0.44.2 with pkgconfig(gplugin) < 0.45)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.14
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(seagull) >= 0.1.1
BuildRequires:  pkgconfig(sqlite3) >= 3.27
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(Qt6Core)

# Protocol dependencies
BuildRequires:  pkgconfig(hasl) >= 0.4

# IRCv3 Protocol dependencies
BuildRequires:  pkgconfig(ibis) >= 0.13.1

# XMPP Protocol dependencies
BuildRequires:  pkgconfig(xeme)

# pidgin3 dependencies
BuildRequires:  appstream
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(gplugin-gtk4)
BuildRequires:  pkgconfig(gtk4) >= 4.10
BuildRequires:  pkgconfig(libadwaita-1) >= 1.5
BuildRequires:  pkgconfig(libspelling-1) >= 0.4

Requires: libpurple3 = %{version}-%{release}

%description
Pidgin is a chat program which lets you log into accounts on multiple chat
networks simultaneously. This means that you can be chatting with friends on
XMPP and sitting in an IRC channel at the same time.

These programs are not endorsed by, nor affiliated with, any proprietary
instant messaging company in any way.


%package devel
Summary:    Development headers and libraries for Pidgin
Requires:   %{name} = %{version}-%{release}
Requires:   libpurple3-devel = %{version}-%{release}

%description devel
%summary


%package -n libpurple3
Summary:    libpurple library for IM clients like Pidgin and Finch

%description -n libpurple3
libpurple is a library intended to be used by programmers seeking to write an
IM client that connects to many IM networks. It comes with support for Bonjour,
IRC, and XMPP, among others and there are many more networks supported via
[third party plugins](https://pidgin.im/plugins/).


%package -n libpurple3-devel
Summary:    Development headers, documentation, and libraries for libpurple
Requires:   libpurple3 = %{version}-%{release}

%description -n libpurple3-devel
%summary


%package -n libpurple3-kwallet
Summary:    KWallet credential provider for libpurple
Requires:  libpurple3 = %{version}-%{release}

%description -n libpurple3-kwallet
A credential provider for libpurple backed by KWallet.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%meson -Ddoc=true
%meson_build

%install
%meson_install
%find_lang %{name}

%check
%meson_test
desktop-file-validate %{buildroot}/%{_datadir}/applications/im.pidgin.Pidgin3.desktop
# We need both; see https://pagure.io/packaging-committee/issue/1053
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
appstreamcli validate --no-net --explain %{buildroot}%{_metainfodir}/*.metainfo.xml

%files -f %{name}.lang
%doc README ChangeLog
%license COPYING
%{_bindir}/pidgin3
%{_libdir}/pidgin-3/
%{_libdir}/libpidgin3.so.0
%{_libdir}/libpidgin3.so.0.92.1
%{_mandir}/man1/pidgin3.*
%{_datadir}/applications/im.pidgin.Pidgin3.desktop
%{_datadir}/glib-2.0/schemas/im.pidgin.Pidgin*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/im.pidgin.Pidgin3.*
%{_datadir}/pidgin/icons/
%{_metainfodir}/im.pidgin.Pidgin3.metainfo.xml
%{_libdir}/girepository-1.0/Pidgin-3.0.typelib

%files devel
%doc %{_docdir}/pidgin/
%{_includedir}/pidgin-3/
%{_libdir}/libpidgin3.so
%{_libdir}/pkgconfig/pidgin-3.pc
%{_datadir}/gir-1.0/Pidgin-3.0.gir

%files -n libpurple3
%license COPYING
%{_bindir}/purple-history
%{_datadir}/glib-2.0/schemas/im.pidgin.Purple*.gschema.xml
%{_libdir}/purple-3/
%exclude %{_libdir}/purple-3/purplekwallet.so
%{_libdir}/libpurple3.so.0
%{_libdir}/libpurple3.so.0.92.1
%{_libdir}/girepository-1.0/Purple-3.0.typelib

%files -n libpurple3-devel
%doc %{_docdir}/libpurple/
%{_libdir}/libpurple3.so
%{_includedir}/purple-3/
%{_libdir}/pkgconfig/purple-3.pc
%{_datadir}/gir-1.0/Purple-3.0.gir

%files -n libpurple3-kwallet
%{_libdir}/purple-3/purplekwallet.so

%changelog
## START: Generated by rpmautospec
* Thu Jul 03 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.92.1-0.1
- Update to latest version

* Mon Jan 27 2025 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.90.1-0.1
- Initial commit
## END: Generated by rpmautospec
